| Flutter Windows Embedder |

Public Member Functions | List of all members
flutter::HostWindowRegular Class Reference

`#include <host_window_regular.h>`

Inheritance diagram for flutter::HostWindowRegular:

## Public Member Functions
| HostWindowRegular (WindowManager *window_manager, FlutterWindowsEngine *engine, const WindowSizeRequest &preferred_size, const BoxConstraints &constraints, LPCWSTR title)
Public Member Functions inherited from flutter::HostWindow
virtual | ~HostWindow ()
HWND | GetWindowHandle () const
void | SetContentSize (const WindowSizeRequest &size)
void | SetConstraints (const WindowConstraints &constraints)
virtual void | SetFullscreen (bool fullscreen, std::optional< FlutterEngineDisplayId > display_id)
virtual bool | GetFullscreen () const
HostWindow * | GetOwnerWindow () const
void | UpdateModalStateLayer ()

## Additional Inherited Members
Static Public Member Functions inherited from flutter::HostWindow
static std::unique_ptr< HostWindow > | CreateRegularWindow (WindowManager *window_manager, FlutterWindowsEngine *engine, const WindowSizeRequest &preferred_size, const WindowConstraints &preferred_constraints, LPCWSTR title)
static std::unique_ptr< HostWindow > | CreateDialogWindow (WindowManager *window_manager, FlutterWindowsEngine *engine, const WindowSizeRequest &preferred_size, const WindowConstraints &preferred_constraints, LPCWSTR title, HWND parent)
static HostWindow * | GetThisFromHandle (HWND hwnd)
static ActualWindowSize | GetWindowContentSize (HWND hwnd)
Protected Member Functions inherited from flutter::HostWindow
| HostWindow (WindowManager *window_manager, FlutterWindowsEngine *engine, WindowArchetype archetype, DWORD window_style, DWORD extended_window_style, const BoxConstraints &box_constraints, Rect const initial_window_rect, LPCWSTR title, std::optional< HWND > const &owner_window)
virtual LRESULT | HandleMessage (HWND hwnd, UINT message, WPARAM wparam, LPARAM lparam)
void | EnableRecursively (bool enable)
HostWindow * | FindFirstEnabledDescendant () const
std::vector< HostWindow * > | GetOwnedWindows () const
void | DisableRecursively ()
| FML_DISALLOW_COPY_AND_ASSIGN (HostWindow)
Static Protected Member Functions inherited from flutter::HostWindow
static std::optional< Size > | GetWindowSizeForClientSize (WindowsProcTable const &win32, Size const &client_size, std::optional< Size > smallest, std::optional< Size > biggest, DWORD window_style, DWORD extended_window_style, std::optional< HWND > const &owner_hwnd)
static void | FocusRootViewOf (HostWindow *window)
static LRESULT | WndProc (HWND hwnd, UINT message, WPARAM wparam, LPARAM lparam)
Protected Attributes inherited from flutter::HostWindow
friend | WindowManager
WindowManager *const | window_manager_ = nullptr
FlutterWindowsEngine * | engine_
std::unique_ptr< FlutterWindowsViewController > | view_controller_
WindowArchetype | archetype_ = WindowArchetype::kRegular
HWND | window_handle_
BoxConstraints | box_constraints_
bool | is_being_destroyed_ = false
bool | is_fullscreen_ = false
SavedWindowInfo | saved_window_info_
Microsoft::WRL::ComPtr< ITaskbarList2 > | task_bar_list_

## Detailed Description

Definition at line 11 of file host_window_regular.h.

## Constructor & Destructor Documentation

## ◆ HostWindowRegular()

flutter::HostWindowRegular::HostWindowRegular | ( | WindowManager * | window_manager,
|  | FlutterWindowsEngine * | engine,
|  | const WindowSizeRequest & | preferred_size,
|  | const BoxConstraints & | constraints,
|  | LPCWSTR | title
| ) |  |

Definition at line 10 of file host_window_regular.cc.

16 : HostWindow(window_manager,
17 engine,
18 WindowArchetype::kRegular,
19 WS_OVERLAPPEDWINDOW,
20 0,
21 constraints,
22 GetInitialRect(engine, preferred_size, constraints),
23 title,
24 std::nullopt) {
25 // TODO(knopp): Investigate sizing the window to its content with the help of
26 // https://github.com/flutter/flutter/pull/173610.
27 FML_CHECK(preferred_size.has_preferred_view_size);
28 }
flutter::HostWindow::HostWindow
HostWindow(WindowManager *window_manager, FlutterWindowsEngine *engine, WindowArchetype archetype, DWORD window_style, DWORD extended_window_style, const BoxConstraints &box_constraints, Rect const initial_window_rect, LPCWSTR title, std::optional< HWND > const &owner_window)
Definition: host_window.cc:228
flutter::WindowArchetype::kRegular
@ kRegular

References flutter::WindowSizeRequest::has_preferred_view_size, and flutter::kRegular.

The documentation for this class was generated from the following files:

- shell/platform/windows/host_window_regular.h
- shell/platform/windows/host_window_regular.cc